package org.gidea.scada.monitor.utils;


public class MonitorUtils {
    public static String getClientExchangeName(String deviceId) {
        return Constants.MonitorClientExchangeName + Constants.TopicSpacer + deviceId;
    }

    public static String getRequestQueueName(String deviceId, String monitorName) {
        return monitorName + Constants.TopicSpacer + deviceId;
    }

    public static String getMqttQueueName(String deviceId ) {
        return Constants.MqttTopicName + Constants.TopicSpacer + deviceId;
    }

    public static String getDeviceIdByMqtt(String topicName) {
        return topicName.replaceFirst(Constants.MqttTopicName + Constants.TopicSpacer, "");
    }
}
